<template>
    <div class="TitleScreen">
        <div class="TitleScreen__modal">
            Please select a game mode
            <button @click="() => this.$emit('setIsSinglePlayer', true)">Single Player</button>
            <button @click="() => this.$emit('setIsSinglePlayer', false)">Local Multi Player</button>
        </div>
    </div>
</template>

<script lang="ts">
import Vue from 'vue'
export default class TitleScreen extends Vue {}
</script>

<style>
.TitleScreen {
    display: flex;
    justify-content: center;
    position: absolute;
    height: 100%;
    width: 100%;
    padding: 1rem;
    z-index: 1;
    background-color: black;
}

.TitleScreen__modal {
    display: flex;
    flex-direction: column;

    padding: 4rem;
    background-color: white;
    border-radius: .25rem;
    margin: auto 0;
}
</style>